package com.qmth.paper.library.common.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.paper.library.common.bean.result.MenuResult;
import com.qmth.paper.library.common.entity.SysRole;
import com.qmth.paper.library.common.entity.SysUserRole;

import java.util.List;

/**
 * <p>
 * 用户和角色关联表 服务类
 * </p>
 *
 * @author xf
 * @since 2021-03-23
 */
public interface SysUserRoleService extends IService<SysUserRole> {

    List<SysUserRole> listByRoleId(Long id);

    List<SysRole> listRoleByUserId(Long id);

    void removeByUserId(Long id);

    MenuResult listByUserId();

    void removeByRoleId(Long id);
}
